# wcsrchr

From cppreference.com
< c‎ | string‎ | wide

Defined in header `<wchar.h>` |  |
wchar_t* wcsrchr( const wchar_t* str, wchar_t ch ); |  | (since C95)

Finds the last occurrence of the wide character `ch` in the wide string pointed to by `str`.

### Parameters

str | - | pointer to the null-terminated wide string to be analyzed
ch | - | wide character to search for

### Return value

Pointer to the found character in `str`, or NULL if no such character is found.

### Example

| This section is incomplete Reason: no example

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.29.4.5.4 The wcsrchr function (p: 436)

- C99 standard (ISO/IEC 9899:1999):

  - 7.24.4.5.4 The wcsrchr function (p: 382)

### See also

wcschr (C95) | finds the first occurrence of a wide character in a wide string (function)
wcspbrk (C95) | finds the first location of any wide character in one wide string, in another wide string (function)
C++ documentation for wcsrchr

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/string/wide/wcsrchr&oldid=76878"
Category:

- Todo no example